﻿MyShapeNode = function ()
{
	MyShapeNode.initializeBase(this);
	this.ShapeType = "type1";
}

MyShapeNode.prototype =
{
	initialize: function ()
	{
		MyShapeNode.callBaseMethod(this, 'initialize');
	},

	dispose: function ()
	{
		MyShapeNode.callBaseMethod(this, 'dispose');
	},

	//properties
	getTitle: function ()
	{
		return this.Title;
	},

	setTitle: function (value)
	{
		if (this.Title !== value)
			this.Title = value;
	},

	getEmailSubject: function ()
	{
		return this.EmailSubject;
	},

	setEmailSubject: function (value)
	{
		if (this.EmailSubject !== value)
			this.EmailSubject = value;
	},

	getShapeType: function ()
	{
		return this.ShapeType;
	},

	setShapeType: function (value)
	{
		if (this.ShapeType !== value)
			this.ShapeType = value;
	},

	getEmailBody: function ()
	{
		return this.EmailBody;
	},

	setEmailBody: function (value)
	{
		if (this.EmailBody !== value)
			this.EmailBody = value;
	},


	getDescription: function ()
	{
		return this.Description;
	},

	setDescription: function (value)
	{
		if (this.Description !== value)
			this.Description = value;
	},


	toJson: function ()
	{

		var data = MyShapeNode.callBaseMethod(this, "toJson");

		data.Title = this.Title;
		data.EmailSubject = this.EmailSubject;
		data.EmailBody = this.EmailBody;
		data.ShapeType = this.ShapeType;
		data.Description = this.Description;


		data.nodeType = this.nodeType;
		return data;
	},

	fromJson: function (json)
	{

		MyShapeNode.callBaseMethod(this, "fromJson", [json]);

		this.setTitle(json.Title);
		this.setShapeType(json.ShapeType);
		this.setEmailSubject(json.EmailSubject);
		this.setEmailBody(json.EmailSubject);
		this.setDescription(json.Description);

		return json;
	},

	updateCanvasElements: function (node)
	{
		MyShapeNode.callBaseMethod(this, 'updateCanvasElements');
	}

};

if (typeof (Sys) !== 'undefined')
	Sys.Application.notifyScriptLoaded();